### Method

# Xdp Portal spawn_signal

#### Declaration [src]

    void
    xdp_portal_spawn_signal (
      XdpPortal* portal,
      pid_t pid,
      int signal,
      gboolean to_process_group
    )

#### Description [src]

Sends a Unix signal to a process that has been spawned by `xdp_portal_spawn()`.

#### Parameters

`pid` | `pid_t`
| The pid of the process to send a signal to.
`signal` | `int`
| The Unix signal to send (see signal(7))
`to_process_group` | `gboolean`
| Whether to send the signal to the process group of the process.